Foreman - Bug #5812

Creating EC2 compute resource via CLI expects URL but documentation says to use REGION
05/20/2014 12:34 PM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Tom Caspy
Category: API
Target version: 1.7.3
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1079567 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2056
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1079567
Description of problem:

The inline documentation for creating an EC2 compute resource via CLI claims that a URL is a requirement for Libvirt, Ovirt and
Openstack but it does not mention EC2. Based on this, REGION should be the argument for EC2 but running the CLI fails unless
you pass URL

[root@qetello02 ~]# LANG=en_US hammer -v -u admin -p changeme --output csv compute-resource create --help
Message

"Usage:

hammer compute-resource create [OPTIONS]

Options:

--description DESCRIPTION

--name NAME

--password PASSWORD Password for Ovirt, EC2, Vmware, Openstack. Secret key for EC2
--provider PROVIDER Providers include EC2, Openstack, Rackspace

--region REGION for EC2 only

--server SERVER for Vmware

--tenant TENANT for Openstack only

--url URL URL for Libvirt, Ovirt, and Openstack

--user USER Username for Ovirt, EC2, Vmware, Openstack. Access Key for EC2.
--uuid UUID for Ovirt, Vmware Datacenter

-h, --help print help

[root@qetello02 ~J# LANG=en_US hammer -v -u admin -p changeme --output csv compute-resource create --name="xpwv1w6f'
--provider="EC2' --region="eu-west-1' --user="user@example.com' --password="secret’
[ERROR 2014-03-21 16:08:53 Exception] Error: option '--url' is required

See: 'hammer compute-resource create --help’
Could not create the compute resource:
Error: option "--url' is required

See: 'hammer compute-resource create —-help'
[ERROR 2014-03-21 16:08:53 Exception]

Clamp::UsageError (option "--url' is required):
/ust/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/option/parsing.rb:53:in “parse_options
/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/option/parsing.rb:45:in “each’
/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/option/parsing.rb:45:in “parse_options
/ust/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:52:in “parse’
/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/./apipie/../abstract.rb:30:in “parse
/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:66:in “run’
/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/./apipie/../abstract.rb:22:in “run’
/ust/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in “execute'
/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in “run’
/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/./apipie/../abstract.rb:22:in “run’
/ust/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in “execute'
/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in “run’
/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/lib/hammer_cli/./apipie/../abstract.rb:22:in “run'
/ust/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:125:in “run’
/ust/lib/ruby/gems/1.8/gems/hammer_cli-0.0.18/bin/hammer:87

/usr/bin/hammer:19:in “load’

/usr/bin/hammer:19

[root@qetello02 ~J# LANG=en_US hammer -v -u admin -p changeme --output csv compute-resource create --name="xpwv1w6f'
--provider="EC2' --url="eu-west-1' --user="user@example.com' --password="secret’

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.8.25-1.el6sam.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.8.25-1.el6sam.noarch
candlepin-tomcat6-0.8.25-1.el6sam.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.5.0.10-1.el6sat.noarch
foreman-compute-1.5.0.10-1.el6sat.noarch
foreman-libvirt-1.5.0.10-1.el6sat.noarch
foreman-postgresql-1.5.0.10-1.el6sat.noarch
foreman-proxy-1.5.3-1.el6sat.noarch
foreman-selinux-1.5.0-0.develop.el6sat.noarch
katello-1.5.0-18.el6sat.noarch
katello-apache-1.0-1.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.30-1.el6sat.noarch
openldap-2.4.23-31.el6.x86_64
pulp-katello-plugins-0.2-1.el6sat.noarch
pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch
pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch
pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch
pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch
pulp-selinux-2.3.1-0.4.beta.el6sat.noarch
pulp-server-2.3.1-0.4.beta.el6sat.noarch
python-ldap-2.3.10-1.e16.x86_64
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch

How reproducible:
Steps to Reproduce:
>

3.

Actual results:

Expected results:

Additional info:

Associated revisions

Revision 06c8a10e - 02/08/2015 03:57 PM - Tom Caspy

fixes #5812 - url parameter in compute_resource#create is not required for EC2, removing the required flag

Revision 3f72a2a9 - 03/04/2015 01:13 PM - Tom Caspy
fixes #5812 - url parameter in compute_resource#create is not required for EC2, removing the required flag

(cherry picked from commit 06c8a10ebcfe2bf2e61fa4a047d1002abe90cbbf)

History

#1 - 05/20/2014 12:34 PM - Dominic Cleal

- Category set to Foreman commands (obsolete)

#2 - 01/08/2015 08:15 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/2056 added

#3 - 01/08/2015 08:17 AM - Dominic Cleal
- Project changed from Hammer CLI to Foreman
- Category changed from Foreman commands (obsolete) to API

- Assignee set to Tom Caspy

#4 - 02/08/2015 04:01 PM - Tom Caspy
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 06c8a10ebcfe2bf2e61fa4a047d1002abe90cbbf.

#5 - 02/09/2015 03:37 AM - Dominic Cleal

- translation missing: en.field_release set to 32
